DipScoutlive · 612,570 products

Real discounts in Chargers, cables & accessories

Chargers, cables & accessories products whose price really dropped, according to the price history DipScout tracks.
JMUYTOP 10AWG Solar Panel Extension Cable 6mm2 Flat 1.37ft Solar Photovoltaic Cord 1500V Balcony Solar Extension Wire For Jakery-16%AliExpress
🔥 Lowest price in 13 days

JMUYTOP 10AWG Solar Panel Extension Cable 6mm2 Flat 1.37ft Solar Photovoltaic Cord 1500V Balcony Solar Extension Wire For Jakery

$14.15$16.85
JMUYTOP Official Store · · tracked 13d
19 sold+1 store👍 93%
VRRIIS Wireless HDMI Extender Transmitter and Receiver 450M Low Latency Wireless HDMI Screen to Screen Support UVC for Laptop-16%AliExpress
🔥 Lowest price in 13 days

VRRIIS Wireless HDMI Extender Transmitter and Receiver 450M Low Latency Wireless HDMI Screen to Screen Support UVC for Laptop

$80.70$96.07
VNNBBS Official Store · · tracked 13d
19 sold+1 store👍 100%
DALYBMS 150A 200A DALY BMS 4-24S Smart BMS 8S 24V Active Balance 1A BMS for LiFePO4 Lithium Ion Battery BMS RS485 CAN App BT-17%AliExpress
🔥 Lowest price in 13 days

DALYBMS 150A 200A DALY BMS 4-24S Smart BMS 8S 24V Active Balance 1A BMS for LiFePO4 Lithium Ion Battery BMS RS485 CAN App BT

$55.35$66.93
DALYBMS Official Store · · tracked 13d · Ships from US
184 sold+1 store
ExcelValley 1 Piece Hybrid Mono Modular Patch Cables TS 3.5mm 1/8" Eurorack Synth Synthesizer-15%AliExpress
🔥 Lowest price in 10 days

ExcelValley 1 Piece Hybrid Mono Modular Patch Cables TS 3.5mm 1/8" Eurorack Synth Synthesizer

$3.33$3.92
ExcelValley Store · · tracked 10d
46 sold
1350mAh PG1050 SJ4000 PG900 Battery + USB Dual Charger For SJCAM SJ5000 SJ6000 SJ8000 M10 EKEN 4K H8 H9 GIT-LB101 Batteries-17%AliExpress
🔥 Lowest price in 12 days

1350mAh PG1050 SJ4000 PG900 Battery + USB Dual Charger For SJCAM SJ5000 SJ6000 SJ8000 M10 EKEN 4K H8 H9 GIT-LB101 Batteries

$10.71$12.88
ayrst Official Store · · tracked 12d · Ships from US
99 sold
ANT BMS 17S to 24S 50A 100A 130A 170A 220A 340A 400A 420A Smart Lithium Lipo Lifepo4 LTO Battery Protection Board 60V 72V BT APP-16%AliExpress
🔥 Lowest price in 13 days

ANT BMS 17S to 24S 50A 100A 130A 170A 220A 340A 400A 420A Smart Lithium Lipo Lifepo4 LTO Battery Protection Board 60V 72V BT APP

$20.39$24.29
ANT BMS Store · · tracked 13d
23 sold+1 store
New Battery adapter for Bosch 18v Lithium battery dock power connector With 14 Awg Wires Connectors Adapter Tool Accessories-10%AliExpress
🔥 Lowest price in 14 days

New Battery adapter for Bosch 18v Lithium battery dock power connector With 14 Awg Wires Connectors Adapter Tool Accessories

$6.37$7.08
SZSY Information Appliance Store · · tracked 14d · Ships from US
88 sold+1 store
1pcs Deans Style T Plug Male Female Connector Silicone Wire For Rc Lipo Battery Rc Model-17%AliExpress
🔥 Lowest price in 13 days

1pcs Deans Style T Plug Male Female Connector Silicone Wire For Rc Lipo Battery Rc Model

$0.64$0.77
HBXINTAO Ali88 Store · · tracked 13d · Ships from US
37 sold
Jiabaida Home Energy Storage ESS Smart BMS LiFePO4 Li-ion 8S 24V 16S 48V 100A 150A 200A with WIFI BT RS485 CAN-15%AliExpress
🔥 Lowest price in 13 days

Jiabaida Home Energy Storage ESS Smart BMS LiFePO4 Li-ion 8S 24V 16S 48V 100A 150A 200A with WIFI BT RS485 CAN

$26.59$31.19
JIABAIDA BMS Store · · tracked 13d · Ships from US
30 sold+1 store
GT3 Drone Original Battery Charger 3.7V 1800/2500mAh High Rate Battery Compatible-13%AliExpress
🔥 Lowest price in 13 days

GT3 Drone Original Battery Charger 3.7V 1800/2500mAh High Rate Battery Compatible

$4.29$4.95
Huixinhao Store · · tracked 13d · Ships from US
52 sold
AA Batteries Power Supply Adapter Cable Eliminators Cord Replacement 3 4pcs 1.5V LR6 AA Battery for LED Light Toy-14%AliExpress
🔥 Lowest price in 11 days

AA Batteries Power Supply Adapter Cable Eliminators Cord Replacement 3 4pcs 1.5V LR6 AA Battery for LED Light Toy

$4.75$5.55
Deserved 3C Store · · tracked 11d
81 sold
Cayin CS-C2C USB Type C to USB Type C OTG Cable N3Ultra N7 USB DAC-21%AliExpress
🔥 Lowest price in 12 days

Cayin CS-C2C USB Type C to USB Type C OTG Cable N3Ultra N7 USB DAC

$15.68$19.77
cayin Official Store · · tracked 12d
26 sold+1 store
Jiabaida 40A 50A 60A 80A Electric Tricycle Smart BMS 10S 11S 12S 13S 14S 36V 15S 16S 48V 19S 20S 60V LiFePO4 Li-ion BMS with BT-13%AliExpress
🔥 Lowest price ever seen

Jiabaida 40A 50A 60A 80A Electric Tricycle Smart BMS 10S 11S 12S 13S 14S 36V 15S 16S 48V 19S 20S 60V LiFePO4 Li-ion BMS with BT

$32.69$37.39
JIABAIDA Official Store · · tracked 13d
24 sold+1 store👍 100%
60V 67.2V 2A Charger 16S Li-ion Battery 60V Charger Output 2A for 59.2V 60V Lithium GX16 IEC XT60 XT90 Plug Jack with Fan-27%AliExpress
🔥 Lowest price in 12 days

60V 67.2V 2A Charger 16S Li-ion Battery 60V Charger Output 2A for 59.2V 60V Lithium GX16 IEC XT60 XT90 Plug Jack with Fan

$14.47$19.93
witecish Battery Charger Official Store · · tracked 12d · Ships from US
48 sold
DALY Smart Active Balance BMS 16S 48V 8S 24V 4S 12V 1A Balance 485 CAN 100A 150A 200A 250A for Lifepo4 Li-Ion  battery 18650-10%AliExpress
🔥 Lowest price in 13 days

DALY Smart Active Balance BMS 16S 48V 8S 24V 4S 12V 1A Balance 485 CAN 100A 150A 200A 250A for Lifepo4 Li-Ion battery 18650

$54.20$60.42
DALY BMS Factory Store · · tracked 13d
108 sold+1 store
PD Fast Charge Trigger, 5/9/12/15/20/28V Adjustable, 5A 140W, Type‑C to DC Power Cable Included, for Multiple DC Devices-13%AliExpress
🔥 Lowest price ever seen

PD Fast Charge Trigger, 5/9/12/15/20/28V Adjustable, 5A 140W, Type‑C to DC Power Cable Included, for Multiple DC Devices

$26.29$30.29
AINEXTBOX Store · · tracked 8d · Ships from US
25 sold
3m/1.5m 12AWG XT60 Car Cigarette Lighter to XT60 Connector Cable for ALLPOWERS R600 R1500 R2500 Ecoflow River Delta Anker Etc.-12%AliExpress
🔥 Lowest price in 13 days

3m/1.5m 12AWG XT60 Car Cigarette Lighter to XT60 Connector Cable for ALLPOWERS R600 R1500 R2500 Ecoflow River Delta Anker Etc.

$9.62$10.99
Xionghe Electronic Store · · tracked 13d · Ships from US
35 sold
ZAEGIRZ XT60 to Solar Panel Cable for Bluetti Anker SOLIX EcoFlow Delta River Allpowers R600 R1500 R2500 etc. Power Stations.-12%AliExpress
🔥 Lowest price in 13 days

ZAEGIRZ XT60 to Solar Panel Cable for Bluetti Anker SOLIX EcoFlow Delta River Allpowers R600 R1500 R2500 etc. Power Stations.

$7.99$9.05
ZZ Electronic Store · · tracked 13d
31 sold+1 store
7.2V 4200mAh 2ICR19/65 2INR19/66 CA18 C129D1 Replaceme Battery For Bang&Olufsen B&O BeoPlay A1 P6 11400 Bluetooth Speaker-21%AliExpress
🔥 Lowest price in 9 days

7.2V 4200mAh 2ICR19/65 2INR19/66 CA18 C129D1 Replaceme Battery For Bang&Olufsen B&O BeoPlay A1 P6 11400 Bluetooth Speaker

$4.65$5.85
XDDT Official Store · · tracked 9d
30 sold
Adapter Converter For Bosch For DeWalt For Makita For Milwaukee For AEG DEVON Worx For Black Decker For Porter Cable For Hitachi-12%AliExpress
🔥 Lowest price in 15 days

Adapter Converter For Bosch For DeWalt For Makita For Milwaukee For AEG DEVON Worx For Black Decker For Porter Cable For Hitachi

$9.19$10.42
Junyoucai Store · · tracked 14d · Ships from US
89 sold
Daly Balance Bms 4S 12V 16S 48V for Electric Forklift Golf Carts 3S-24S 40A 200A 250A 300A 400A 500A Smart BMS with WIFI/CAN-17%AliExpress
🔥 Lowest price in 13 days

Daly Balance Bms 4S 12V 16S 48V for Electric Forklift Golf Carts 3S-24S 40A 200A 250A 300A 400A 500A Smart BMS with WIFI/CAN

$39.90$48.09
Daly Balance Smart BMS Store · · tracked 13d · Ships from US
39 sold+1 store
JIKONG V19 JK-PB2A16S30P 4.3/7.0LCD Smart BMS 300A Li-ion/ Lifepo4/ LTO Battery Household Energy Inverter BMS Active Balancer 2A-11%AliExpress
🔥 Lowest price in 13 days

JIKONG V19 JK-PB2A16S30P 4.3/7.0LCD Smart BMS 300A Li-ion/ Lifepo4/ LTO Battery Household Energy Inverter BMS Active Balancer 2A

$159.49$179.69
JIKONG BMS FACTORY Store · · tracked 13d
26 sold+1 store👍 97%
1.5m/5Ft 12V 24V Car Cigarette Lighter to XT90 Extension Cable for AFERIY AF-P110 AF-P210 AF-P280 AF-P310 Portable Power Sationt-13%AliExpress
🔥 Lowest price in 13 days

1.5m/5Ft 12V 24V Car Cigarette Lighter to XT90 Extension Cable for AFERIY AF-P110 AF-P210 AF-P280 AF-P310 Portable Power Sationt

$9.75$11.19
ZZ Electronic Store · · tracked 13d
23 sold+1 store👍 93%
2P 6.3mm Electric Vehicle Connector High Current Equipment Wiring Harness Male Female Plug Car Butt Joint DJ7021-6.3-11/21 60V-15%AliExpress
🔥 Lowest price in 13 days

2P 6.3mm Electric Vehicle Connector High Current Equipment Wiring Harness Male Female Plug Car Butt Joint DJ7021-6.3-11/21 60V

$0.68$0.80
TOAO Store · · tracked 13d · Ships from US
209 sold
24PCS Cat6 RJ45 Short Ethernet Cable High Speed UTP LAN Patch Cord Stable Transmission15cm 30cm 20cm for PC Router Switch Modem-16%AliExpress
🔥 Lowest price in 13 days

24PCS Cat6 RJ45 Short Ethernet Cable High Speed UTP LAN Patch Cord Stable Transmission15cm 30cm 20cm for PC Router Switch Modem

$15.27$18.18
Shop5049118 Store · · tracked 13d · Ships from US
194 sold
Vention Wireless HDMI Video Transmitter and Receiver Extender Kit 5G 50m Adapter For PC Camera Laptop To Projector Monitor TV-21%AliExpress
🔥 Lowest price in 12 days

Vention Wireless HDMI Video Transmitter and Receiver Extender Kit 5G 50m Adapter For PC Camera Laptop To Projector Monitor TV

$62.19$78.29
Vention Global Store · · tracked 12d
37 sold+1 store
For Nintendo AC Adapter EU/US Plug Charger 100V-240V Power Adapter for nintendo 3ds charger XL 2DS DS DSI apdapter Switch-10%AliExpress
🔥 Lowest price in 13 days

For Nintendo AC Adapter EU/US Plug Charger 100V-240V Power Adapter for nintendo 3ds charger XL 2DS DS DSI apdapter Switch

$2.69$2.99
ALASICKA Consumer Electronics Store · · tracked 13d · Ships from US
41 sold+1 store
16S 48V 300A JK Smart Inverter BMS V19 with Display And Installation Kit For Lifepo4/Li-ion/LTO Home Energy Storage RV-15%AliExpress
🔥 Lowest price in 13 days

16S 48V 300A JK Smart Inverter BMS V19 with Display And Installation Kit For Lifepo4/Li-ion/LTO Home Energy Storage RV

$86.19$100.99
Jikong Bms Store Store · · tracked 13d
20 sold👍 100%
NP-BX1 NPBX1 NP BX1 Battery Charger For SONY FDR-X3000R HDR-AS300R RX100 M3 M2 M7 M6 RX1R HX400 HX50 HX60 WX300 WX350 AS15-15%AliExpress
🔥 Lowest price in 13 days

NP-BX1 NPBX1 NP BX1 Battery Charger For SONY FDR-X3000R HDR-AS300R RX100 M3 M2 M7 M6 RX1R HX400 HX50 HX60 WX300 WX350 AS15

$7.89$9.29
Hormmar Digital Camera Accessories Store · · tracked 13d · Ships from US
30 sold
JIKONG JK BMS B2A24S20P Bluetooth Battery Management System 2A Balance 200A for 36V 48V 60V Li-Ion LTO 18650 Lifepo4 Storage-11%AliExpress
🔥 Lowest price in 13 days

JIKONG JK BMS B2A24S20P Bluetooth Battery Management System 2A Balance 200A for 36V 48V 60V Li-Ion LTO 18650 Lifepo4 Storage

$37.59$42.29
JIKONG BMS Global Store · · tracked 13d
26 sold+1 store👍 94%
USB Charging 1.5m Cable Compatible with Hatteker Hair Clipper 5V Charger for RFC-598 RFC-588 RFC-690 RSCX-7568 Electric Shaver-10%AliExpress
🔥 Lowest price in 13 days

USB Charging 1.5m Cable Compatible with Hatteker Hair Clipper 5V Charger for RFC-598 RFC-588 RFC-690 RSCX-7568 Electric Shaver

$3.40$3.78
ZHUOYUEJIA Store · · tracked 13d
55 sold
ANT Smart BMS 10-32S 72V 84V 96V BMS 120V High Voltage LiFePO4 Li-ion BMS for Electric Motorcycle with Bluetooth-18%AliExpress
🔥 Lowest price ever seen

ANT Smart BMS 10-32S 72V 84V 96V BMS 120V High Voltage LiFePO4 Li-ion BMS for Electric Motorcycle with Bluetooth

$92.39$111.99
JNFN BMS Official Store · · tracked 13d
16 sold+1 store👍 100%
Schuko Furutech FI-E50 FI-50M FI-50 NCF Nano Crystal EU/US Power Rhodium Plating Supply Plug Connector Adapter 15A/250V Hifi-21%AliExpress
🔥 Lowest price in 13 days

Schuko Furutech FI-E50 FI-50M FI-50 NCF Nano Crystal EU/US Power Rhodium Plating Supply Plug Connector Adapter 15A/250V Hifi

$17.78$22.54
vinshle Official Store · · tracked 13d · Ships from US
132 sold
Hi End Schuko AC Power Plug + IEC C15 Power Connector Brass 24K Gold Plated Hi-Fi EU Audio Power Adapter Connector EU Plug-21%AliExpress
🔥 Lowest price in 13 days

Hi End Schuko AC Power Plug + IEC C15 Power Connector Brass 24K Gold Plated Hi-Fi EU Audio Power Adapter Connector EU Plug

$14.38$18.26
Preffair Store · · tracked 13d · Ships from US
130 sold
Third Generation Plus Official Enhanced Version 80W 6A Tesla Coil Gun Handheld Magnetic Energy Generator with Power Adapter-15%AliExpress
🔥 Lowest price in 11 days

Third Generation Plus Official Enhanced Version 80W 6A Tesla Coil Gun Handheld Magnetic Energy Generator with Power Adapter

$73.89$86.79
HamGeek Store · · tracked 11d
38 sold+3 stores